<?php

error_reporting(E_ALL & ~E_NOTICE);
date_default_timezone_set('Europe/Madrid');

/************** Includes **********************************/
require_once '../config.php';
require_once DIRLIBCOMP . 'SPDO.php';
require_once DIRLIBCOMP . 'registro_logs.php';
$conexion = new SPDO(BDENGINE, BDHOST, BDDATABASE, BDUSER, BDPASS);

// Compruebo si hay plazas seleccionadas en el horario marcado

$sql_plazas = "SELECT plazas_libres
			   FROM sala_horarios
			   WHERE id = :id_hora ";

$result_plazas = $conexion->prepare($sql_plazas);
$result_plazas->execute(array(':id_hora' => $_POST['hora']));

if(!$_POST['usuarios']>0){
    echo -1;
    die();
}

if ($result_plazas->rowCount() > 0) {
    $row_plazas = $result_plazas->fetch(PDO::FETCH_ASSOC);

    // No hay plazas libres: se comprueba si viene del módulo
    if (($row_plazas['plazas_libres'] < $_POST['usuarios']) && ($_POST['web'] == 0)) {
        echo 0;
    }
    // Plazas libres o viene de la nueva sección de reservas de la web
    else {     
        echo 1;
    }

}
